# API Overview

With Superseek APIs, you can build custom Q\&A bots or conversational AI chatbots powered by your content.&#x20;

APIs are available on all plans.

## Q\&A API

Q\&A bots are a basic version of chatbots. Input a single question and receive a single answer along with its sources. These bots enable the creation of straightforward Q\&A interfaces within products, leveraging the same endpoint as the chat API, but without passing any chat history.

[Read more](/home/api-documentation/q-and-a-api.md)

## Chat API

Use this endpoint to create a complete conversational chatbot in your product. Pass a question along with chat history to receive a single answer, along with its sources, that maintains context and continuity with the ongoing conversation.

[Read more](broken://pages/ccaGKnZbfO0ofyDh3Quv)

## Answer Rating API

The Answer Rating APIs are useful for tracking the quality of answers provided by the chat APIs. Use this endpoint to enable users to rate answers (good or bad) to track answer quality in your inbox.

[Read more](broken://pages/NJ5TIY3Z0DJTUl6PKuDu)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superseek.ai/home/api-documentation/api-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
